// ############ Fonts ############

@mixin font-face ($name, $file-name, $font-weight, $font-format, $font-style: normal) {
  @font-face {
      font-family: $name;
      src: url('../fonts/#{$file-name}') format($font-format),
          url('../fonts/#{$file-name}') format($font-format);
      font-weight: $font-weight;
      font-style: $font-style;
  }
}


$Aileron-100: "Aileron-100";
$Aileron-300: "Aileron-300";
$Aileron-400: "Aileron-400";
$Aileron-600: "Aileron-600";
$Aileron-600-italic: "Aileron-600-italic";
$Aileron-700: "Aileron-700";


$Poppins-300: 'Poppins-300';
$Poppins-400: 'Poppins-400';
$Poppins-500: 'Poppins-500';
$Poppins-600: 'Poppins-600';
$Caveat-700: "Caveat-700";

@include font-face($Aileron-100, 'Aileron-Thin.otf', 100, 'opentype');
@include font-face($Aileron-300, 'Aileron-Light.otf', 300, 'opentype');
@include font-face($Aileron-400, 'Aileron-Regular.otf', 400, 'opentype');
@include font-face($Aileron-600, 'Aileron-SemiBold.otf', 600, 'opentype');
@include font-face($Aileron-600-italic, 'Aileron-SemiBoldItalic.otf', 600, 'opentype');
@include font-face($Aileron-700, 'Aileron-Bold.otf', 700, 'opentype');

@include font-face($Poppins-300, 'Poppins-Light.ttf', 300, 'opentype');
@include font-face($Poppins-400, 'Poppins-Regular.ttf', 400, 'opentype');
@include font-face($Poppins-500, 'Poppins-Medium.ttf', 500, 'opentype');
@include font-face($Poppins-600, 'Poppins-Black.ttf', 600, 'opentype');

@include font-face($Caveat-700, 'Caveat-Bold.ttf', 700, 'opentype');

$font-primary: $Aileron-400, sans-serif;
$font-sub: $Aileron-400, sans-serif;
$font-caveat: $Caveat-700, sans-serif;